gov.ornl.mercury3.commands

## Class Search_Terms

- java.lang.Object
- - gov.ornl.mercury3.commands.Search_Terms

-     public class Search_Terms
      extends Object

  Holder for search and setup parameters throughout the app.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Search_Terms()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addSolrFacets(String key, String Value)` Adds the solr facets.
    `String` | `getAdditional_datasource()` Gets the additional_datasource.
    `HashMap` | `getAnyones_queryParms()` Gets the anyones_query parms.
    `String` | `getBrowse_field()` Gets the browse_field.
    `String` | `getBrowse_path()` Gets the browse_path.
    `String` | `getBrowse_source()` Gets the browse_source.
    `Terms` | `getBrowse()` Gets the browse.
    `String` | `getBrowseStatus()` Gets the browse status.
    `HashMap` | `getCcin_request_terms()` Gets the ccin_request_terms.
    `HashMap` | `getCiesin_request_terms()` Gets the ciesin_request_terms.
    `String` | `getComplete_shoppingcart_url()` Gets the complete_shoppingcart_url.
    `int` | `getCurrent_page()` Gets the current_page.
    `HashMap` | `getDaac_request_terms()` Gets the daac_request_terms.
    `String` | `getDatasource()` Gets the datasource.
    `String[]` | `getDatasourcearray()` Gets the datasourcearray.
    `ArrayList` | `getDatasources()` Gets the datasources.
    `HashMap` | `getDataValue()` Gets the data value.
    `String[]` | `getDel_facet_array()` Gets the del_facet_array.
    `String` | `getFacet_init()` Gets the facet_init.
    `Terms` | `getFacet()` Gets the facet.
    `List` | `getFacetsList()` Gets the facets list.
    `String` | `getFeedValue()` Gets the feed value.
    `boolean` | `getFilterForData()`
    `String` | `getFull_queryString()` Gets the full_query string.
    `HashMap` | `getGcmd_request_terms()` Gets the gcmd_request_terms.
    `String` | `getGui_queryString()` Gets the Prettified string for displaying in the GUI...
    `String` | `getHideDS()` Controls whether a faceted datasource list is displayed.
    `String` | `getIncludeGlobal()` Gets the include global.
    `boolean` | `getIsRSS()` Gets the checks if is rss.
    `ArrayList` | `getLterSites()` Gets the lter sites.
    `String` | `getMercury3_query_string()` Gets the mercury3_query_string.
    `HashMap<String,String[]>` | `getMlt_request_terms()` Gets the SOLR More Like This request terms.
    `HashMap` | `getNewparsed_request_terms()` Gets the newparsed_request_terms.
    `HashMap` | `getNsidc_queryParms()` Gets the nsidc_query parms.
    `int` | `getNum_pages()` The number of items to display in a brief JSP response.
    `int` | `getPage_max_count()` Gets the page_max_count.
    `int` | `getPage()` Gets the page.
    `int` | `getPageSize()` Gets the page size.
    `HashMap` | `getParsed_request_terms()` Gets the parsed_request_terms.
    `String` | `getQueryString()` Gets the query string.
    `String` | `getRawTerm1()`
    `int` | `getResponses()` Gets the responses.
    `Terms` | `getSearchmode()` Gets the searchmode.
    `SourceObject` | `getSo()` Gets the so.
    `HashMap` | `getSolr_facets_map()` List of fields selected from the solr schema for faceting.
    `String` | `getSolrdb()` Gets the SOLR database name.
    `String` | `getSortattribute()` Gets the sortattribute.
    `String` | `getSource()` Gets the data source.
    `int` | `getStart()` Record start number for the current Query.
    `Terms` | `getTerm1()` Gets the term1.
    `Terms` | `getTerm12()` Gets the term12.
    `ArrayList` | `getTerm2_list()` Gets the term2_list.
    `Terms` | `getTerm2()` Gets the term2.
    `Terms` | `getTerm3()` Gets the term3.
    `Terms` | `getTerm4()` Gets the term4.
    `Terms` | `getTerm5()` Gets the term5.
    `Terms` | `getTerm6()` Gets the term6.
    `Terms` | `getTerm7()` Gets the term7.
    `Terms` | `getTerm8()` Gets the term8.
    `Terms` | `getTerm9()` Gets the term9.
    `String` | `getWebAppRoot()` Gets the web app root.
    `boolean` | `isFilterForData()`
    `boolean` | `isMLT()` Checks if is the mLT flag which indicates that this type of solr request is being constructed.
    `boolean` | `removeSolrFacets(String key, String Value)` Removes the solr facets.
    `void` | `setAdditional_datasource(String additional_datasource)` Sets the additional_datasource.
    `void` | `setAnyones_queryParms(HashMap anyones_queryParms)` Sets the anyones_query parms.
    `void` | `setBrowse_field(String browse_field)` Sets the browse_field.
    `void` | `setBrowse_path(String browse_path)` Sets the browse_path.
    `void` | `setBrowse_source(String browse_source)` Sets the browse_source.
    `void` | `setBrowse(Terms browse)` Sets the browse.
    `void` | `setBrowseStatus(String browseStatus)` Sets the browse status.
    `void` | `setCcin_request_terms(HashMap ccin_request_terms)` Sets the ccin_request_terms.
    `void` | `setCiesin_request_terms(HashMap ciesin_request_terms)` Sets the ciesin_request_terms.
    `void` | `setComplete_shoppingcart_url(String complete_shoppingcart_url)` Sets the complete_shoppingcart_url.
    `void` | `setCurrent_page(int current_page)` Sets the current_page.
    `void` | `setDaac_request_terms(HashMap daac_request_terms)` Sets the daac_request_terms.
    `void` | `setDatasource(String datasource)` Sets the datasource.
    `void` | `setDatasourcearray(String[] datasourcearray)` Sets the datasourcearray.
    `void` | `setDatasources(ArrayList datasources)` Sets the datasources.
    `void` | `setDataValue(HashMap dataValue)` Sets the data value.
    `void` | `setDel_facet_array(String[] del_facet_array)` Sets the del_facet_array.
    `void` | `setFacet_init(String facet_init)` Sets the facet_init.
    `void` | `setFacet(Terms facet)` Sets the facet.
    `void` | `setFacetsList(List facetsList)` Sets the facets list.
    `void` | `setFeedValue(String feedValue)` Sets the feed value.
    `void` | `setFilterForData(boolean filterForDataValue)`
    `void` | `setFull_queryString(String full_queryString)` Sets the full_query string.
    `void` | `setGcmd_request_terms(HashMap gcmd_request_terms)` Sets the gcmd_request_terms.
    `void` | `setGui_queryString(String gui_queryString)` Prettified string for displaying in the GUI..
    `void` | `setHideDS(String hideDS)` Controls whether a faceted datasource list is displayed.
    `void` | `setIncludeGlobal(String includeGlobal)` Sets the include global.
    `void` | `setLterSites(ArrayList lterSites)` Sets the lter sites.
    `void` | `setMercury3_query_string(String mercury3_query_string)` Sets the mercury3_query_string.
    `void` | `setMlt_request_terms(HashMap<String,String[]> mlt_request_terms)` Sets the SOLR More Like This request terms.
    `void` | `setMLT(boolean isMLT)` Sets the mLT flag which indicates that this type of solr request is being constructed.
    `void` | `setNewparsed_request_terms(HashMap newparsed_request_terms)` Sets the newparsed_request_terms.
    `void` | `setNsidc_queryParms(HashMap nsidc_queryParms)` Sets the nsidc_query parms.
    `void` | `setNum_pages(int num_pages)` Sets The number of items to display in a brief JSP response.
    `void` | `setPage_max_count(int page_max_count)` Sets the page_max_count.
    `void` | `setPage(int page)` Sets the page.
    `void` | `setPageSize(int pageSize)` Sets the page size.
    `void` | `setParsed_request_terms(HashMap parsed_request_terms)` Sets the parsed_request_terms.
    `void` | `setQueryString(String queryString)` Sets the query string.
    `void` | `setRawTerm1(String rawTerm1)`
    `void` | `setResponses(int responses)` Sets the responses.
    `void` | `setRSS(boolean isRSS)` Sets the rSS.
    `void` | `setSearchmode(Terms searchmode)` Sets the searchmode.
    `void` | `setSo(SourceObject so)` Sets the so.
    `void` | `setSolr_facets_map(HashMap solr_facets_map)` List of fields selected from the solr schema for faceting.
    `void` | `setSolrdb(String solrdb)` Sets the SOLR database name.
    `void` | `setSortattribute(String sortattribute)` Sets the sortattribute.
    `void` | `setSource(String source)` Sets the data source.
    `void` | `setStart(int start)` Record start number for the current Query.
    `void` | `setTerm1(Terms term1)` Sets the term1.
    `void` | `setTerm12(Terms term12)` Sets the term12.
    `void` | `setTerm2_list(ArrayList term2_list)` Sets the term2_list.
    `void` | `setTerm2(Terms term2)` Sets the term2.
    `void` | `setTerm3(Terms term3)` Sets the term3.
    `void` | `setTerm4(Terms term4)` Sets the term4.
    `void` | `setTerm5(Terms term5)` Sets the term5.
    `void` | `setTerm6(Terms term6)` Sets the term6.
    `void` | `setTerm7(Terms term7)` Sets the term7.
    `void` | `setTerm8(Terms term8)` Sets the term8.
    `void` | `setTerm9(Terms term9)` Sets the term9.
    `void` | `setWebAppRoot(String webAppRoot)` Sets the web app root.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Search_Terms

          public Search_Terms()

  - ### Method Detail

    - #### getFilterForData

          public boolean getFilterForData()

    - #### isFilterForData

          public boolean isFilterForData()

    - #### setFilterForData

          public void setFilterForData(boolean filterForDataValue)

    - #### getHideDS

          public String getHideDS()

      Controls whether a faceted datasource list is displayed.
      Returns:
        the hide ds flag

    - #### setHideDS

          public void setHideDS(String hideDS)

      Controls whether a faceted datasource list is displayed.
      Parameters:
        `hideDS` - the new hide ds flag

    - #### getNum_pages

          public int getNum_pages()

      The number of items to display in a brief JSP response.
      Returns:
        the num_pages

    - #### setNum_pages

          public void setNum_pages(int num_pages)

      Sets The number of items to display in a brief JSP response.
      Parameters:
        `num_pages` - the new num_pages

    - #### getSolr_facets_map

          public HashMap getSolr_facets_map()

      List of fields selected from the solr schema for faceting. Initialized by injection.
      Returns:
        the solr_facets_map

    - #### setSolr_facets_map

          public void setSolr_facets_map(HashMap solr_facets_map)

      List of fields selected from the solr schema for faceting. Initialized by injection.
      Parameters:
        `solr_facets_map` - the new solr_facets_map

    - #### addSolrFacets

          public boolean addSolrFacets(String key,
                              String Value)

      Adds the solr facets.
      Parameters:
        `key` - the key
        `Value` - the value
      Returns:
        true, if successful

    - #### removeSolrFacets

          public boolean removeSolrFacets(String key,
                                 String Value)

      Removes the solr facets.
      Parameters:
        `key` - the key
        `Value` - the value
      Returns:
        true, if successful

    - #### getTerm7

          public Terms getTerm7()

      Gets the term7.
      Returns:
        the term7

    - #### setTerm7

          public void setTerm7(Terms term7)

      Sets the term7.
      Parameters:
        `term7` - the new term7

    - #### getTerm1

          public Terms getTerm1()

      Gets the term1.
      Returns:
        the term1

    - #### setTerm1

          public void setTerm1(Terms term1)

      Sets the term1.
      Parameters:
        `term1` - the new term1

    - #### getTerm2

          public Terms getTerm2()

      Gets the term2.
      Returns:
        the term2

    - #### setTerm2

          public void setTerm2(Terms term2)

      Sets the term2.
      Parameters:
        `term2` - the new term2

    - #### getTerm3

          public Terms getTerm3()

      Gets the term3.
      Returns:
        the term3

    - #### setTerm3

          public void setTerm3(Terms term3)

      Sets the term3.
      Parameters:
        `term3` - the new term3

    - #### getTerm4

          public Terms getTerm4()

      Gets the term4.
      Returns:
        the term4

    - #### setTerm4

          public void setTerm4(Terms term4)

      Sets the term4.
      Parameters:
        `term4` - the new term4

    - #### getTerm5

          public Terms getTerm5()

      Gets the term5.
      Returns:
        the term5

    - #### setTerm5

          public void setTerm5(Terms term5)

      Sets the term5.
      Parameters:
        `term5` - the new term5

    - #### getTerm6

          public Terms getTerm6()

      Gets the term6.
      Returns:
        the term6

    - #### setTerm6

          public void setTerm6(Terms term6)

      Sets the term6.
      Parameters:
        `term6` - the new term6

    - #### getPageSize

          public int getPageSize()

      Gets the page size.
      Returns:
        the page size

    - #### setPageSize

          public void setPageSize(int pageSize)

      Sets the page size.
      Parameters:
        `pageSize` - the new page size

    - #### getQueryString

          public String getQueryString()

      Gets the query string.
      Returns:
        the query string

    - #### setQueryString

          public void setQueryString(String queryString)

      Sets the query string.
      Parameters:
        `queryString` - the new query string

    - #### getStart

          public int getStart()

      Record start number for the current Query.
      Returns:
        the start

    - #### setStart

          public void setStart(int start)

      Record start number for the current Query.
      Parameters:
        `start` - the new start

    - #### getFacet

          public Terms getFacet()

      Gets the facet.
      Returns:
        the facet

    - #### setFacet

          public void setFacet(Terms facet)

      Sets the facet.
      Parameters:
        `facet` - the new facet

    - #### getCurrent_page

          public int getCurrent_page()

      Gets the current_page.
      Returns:
        the current_page

    - #### setCurrent_page

          public void setCurrent_page(int current_page)

      Sets the current_page.
      Parameters:
        `current_page` - the new current_page

    - #### getResponses

          public int getResponses()

      Gets the responses.
      Returns:
        the responses

    - #### setResponses

          public void setResponses(int responses)

      Sets the responses.
      Parameters:
        `responses` - the new responses

    - #### getPage_max_count

          public int getPage_max_count()

      Gets the page_max_count.
      Returns:
        the page_max_count

    - #### setPage_max_count

          public void setPage_max_count(int page_max_count)

      Sets the page_max_count.
      Parameters:
        `page_max_count` - the new page_max_count

    - #### getSolrdb

          public String getSolrdb()

      Gets the SOLR database name.
      Returns:
        the solrdb

    - #### setSolrdb

          public void setSolrdb(String solrdb)

      Sets the SOLR database name.
      Parameters:
        `solrdb` - the new solrdb

    - #### getSource

          public String getSource()

      Gets the data source.
      Returns:
        the source

    - #### setSource

          public void setSource(String source)

      Sets the data source.
      Parameters:
        `source` - the new source

    - #### getFacetsList

          public List getFacetsList()

      Gets the facets list.
      Returns:
        the facets list

    - #### setFacetsList

          public void setFacetsList(List facetsList)

      Sets the facets list.
      Parameters:
        `facetsList` - the new facets list

    - #### getDatasourcearray

          public String[] getDatasourcearray()

      Gets the datasourcearray.
      Returns:
        the datasourcearray

    - #### setDatasourcearray

          public void setDatasourcearray(String[] datasourcearray)

      Sets the datasourcearray.
      Parameters:
        `datasourcearray` - the new datasourcearray

    - #### getFacet_init

          public String getFacet_init()

      Gets the facet_init.
      Returns:
        the facet_init

    - #### setFacet_init

          public void setFacet_init(String facet_init)

      Sets the facet_init.
      Parameters:
        `facet_init` - the new facet_init

    - #### getDatasources

          public ArrayList getDatasources()

      Gets the datasources.
      Returns:
        the datasources

    - #### setDatasources

          public void setDatasources(ArrayList datasources)

      Sets the datasources.
      Parameters:
        `datasources` - the new datasources

    - #### getSortattribute

          public String getSortattribute()

      Gets the sortattribute.
      Returns:
        the sortattribute

    - #### setSortattribute

          public void setSortattribute(String sortattribute)

      Sets the sortattribute.
      Parameters:
        `sortattribute` - the new sortattribute

    - #### getGui_queryString

          public String getGui_queryString()

      Gets the Prettified string for displaying in the GUI...
      Returns:
        the gui_query string

    - #### setGui_queryString

          public void setGui_queryString(String gui_queryString)

      Prettified string for displaying in the GUI..
      Parameters:
        `gui_queryString` - the new gui_query string

    - #### getMercury3_query_string

          public String getMercury3_query_string()

      Gets the mercury3_query_string.
      Returns:
        the mercury3_query_string

    - #### setMercury3_query_string

          public void setMercury3_query_string(String mercury3_query_string)

      Sets the mercury3_query_string.
      Parameters:
        `mercury3_query_string` - the new mercury3_query_string

    - #### getDel_facet_array

          public String[] getDel_facet_array()

      Gets the del_facet_array.
      Returns:
        the del_facet_array

    - #### setDel_facet_array

          public void setDel_facet_array(String[] del_facet_array)

      Sets the del_facet_array.
      Parameters:
        `del_facet_array` - the new del_facet_array

    - #### getFull_queryString

          public String getFull_queryString()

      Gets the full_query string.
      Returns:
        the full_query string

    - #### setFull_queryString

          public void setFull_queryString(String full_queryString)

      Sets the full_query string.
      Parameters:
        `full_queryString` - the new full_query string

    - #### getBrowse

          public Terms getBrowse()

      Gets the browse.
      Returns:
        the browse

    - #### setBrowse

          public void setBrowse(Terms browse)

      Sets the browse.
      Parameters:
        `browse` - the new browse

    - #### getBrowse_field

          public String getBrowse_field()

      Gets the browse_field.
      Returns:
        the browse_field

    - #### setBrowse_field

          public void setBrowse_field(String browse_field)

      Sets the browse_field.
      Parameters:
        `browse_field` - the new browse_field

    - #### getBrowse_path

          public String getBrowse_path()

      Gets the browse_path.
      Returns:
        the browse_path

    - #### setBrowse_path

          public void setBrowse_path(String browse_path)

      Sets the browse_path.
      Parameters:
        `browse_path` - the new browse_path

    - #### getBrowse_source

          public String getBrowse_source()

      Gets the browse_source.
      Returns:
        the browse_source

    - #### setBrowse_source

          public void setBrowse_source(String browse_source)

      Sets the browse_source.
      Parameters:
        `browse_source` - the new browse_source

    - #### getPage

          public int getPage()

      Gets the page.
      Returns:
        the page

    - #### setPage

          public void setPage(int page)

      Sets the page.
      Parameters:
        `page` - the new page

    - #### getBrowseStatus

          public String getBrowseStatus()

      Gets the browse status.
      Returns:
        the browse status

    - #### setBrowseStatus

          public void setBrowseStatus(String browseStatus)

      Sets the browse status.
      Parameters:
        `browseStatus` - the new browse status

    - #### getTerm8

          public Terms getTerm8()

      Gets the term8.
      Returns:
        the term8

    - #### setTerm8

          public void setTerm8(Terms term8)

      Sets the term8.
      Parameters:
        `term8` - the new term8

    - #### getTerm9

          public Terms getTerm9()

      Gets the term9.
      Returns:
        the term9

    - #### setTerm9

          public void setTerm9(Terms term9)

      Sets the term9.
      Parameters:
        `term9` - the new term9

    - #### getIsRSS

          public boolean getIsRSS()

      Gets the checks if is rss.
      Returns:
        the checks if is rss

    - #### setRSS

          public void setRSS(boolean isRSS)

      Sets the rSS.
      Parameters:
        `isRSS` - the new rSS

    - #### getTerm12

          public Terms getTerm12()

      Gets the term12.
      Returns:
        the term12

    - #### setTerm12

          public void setTerm12(Terms term12)

      Sets the term12.
      Parameters:
        `term12` - the new term12

    - #### getAdditional_datasource

          public String getAdditional_datasource()

      Gets the additional_datasource.
      Returns:
        the additional_datasource

    - #### setAdditional_datasource

          public void setAdditional_datasource(String additional_datasource)

      Sets the additional_datasource.
      Parameters:
        `additional_datasource` - the new additional_datasource

    - #### getLterSites

          public ArrayList getLterSites()

      Gets the lter sites.
      Returns:
        the lter sites

    - #### setLterSites

          public void setLterSites(ArrayList lterSites)

      Sets the lter sites.
      Parameters:
        `lterSites` - the new lter sites

    - #### getFeedValue

          public String getFeedValue()

      Gets the feed value.
      Returns:
        the feed value

    - #### setFeedValue

          public void setFeedValue(String feedValue)

      Sets the feed value.
      Parameters:
        `feedValue` - the new feed value

    - #### getParsed_request_terms

          public HashMap getParsed_request_terms()

      Gets the parsed_request_terms.
      Returns:
        the parsed_request_terms

    - #### setParsed_request_terms

          public void setParsed_request_terms(HashMap parsed_request_terms)

      Sets the parsed_request_terms.
      Parameters:
        `parsed_request_terms` - the new parsed_request_terms

    - #### getNewparsed_request_terms

          public HashMap getNewparsed_request_terms()

      Gets the newparsed_request_terms.
      Returns:
        the newparsed_request_terms

    - #### setNewparsed_request_terms

          public void setNewparsed_request_terms(HashMap newparsed_request_terms)

      Sets the newparsed_request_terms.
      Parameters:
        `newparsed_request_terms` - the new newparsed_request_terms

    - #### getNsidc_queryParms

          public HashMap getNsidc_queryParms()

      Gets the nsidc_query parms.
      Returns:
        the nsidc_query parms

    - #### setNsidc_queryParms

          public void setNsidc_queryParms(HashMap nsidc_queryParms)

      Sets the nsidc_query parms.
      Parameters:
        `nsidc_queryParms` - the new nsidc_query parms

    - #### getDaac_request_terms

          public HashMap getDaac_request_terms()

      Gets the daac_request_terms.
      Returns:
        the daac_request_terms

    - #### setDaac_request_terms

          public void setDaac_request_terms(HashMap daac_request_terms)

      Sets the daac_request_terms.
      Parameters:
        `daac_request_terms` - the new daac_request_terms

    - #### getCiesin_request_terms

          public HashMap getCiesin_request_terms()

      Gets the ciesin_request_terms.
      Returns:
        the ciesin_request_terms

    - #### setCiesin_request_terms

          public void setCiesin_request_terms(HashMap ciesin_request_terms)

      Sets the ciesin_request_terms.
      Parameters:
        `ciesin_request_terms` - the new ciesin_request_terms

    - #### getGcmd_request_terms

          public HashMap getGcmd_request_terms()

      Gets the gcmd_request_terms.
      Returns:
        the gcmd_request_terms

    - #### setGcmd_request_terms

          public void setGcmd_request_terms(HashMap gcmd_request_terms)

      Sets the gcmd_request_terms.
      Parameters:
        `gcmd_request_terms` - the new gcmd_request_terms

    - #### getCcin_request_terms

          public HashMap getCcin_request_terms()

      Gets the ccin_request_terms.
      Returns:
        the ccin_request_terms

    - #### setCcin_request_terms

          public void setCcin_request_terms(HashMap ccin_request_terms)

      Sets the ccin_request_terms.
      Parameters:
        `ccin_request_terms` - the new ccin_request_terms

    - #### getAnyones_queryParms

          public HashMap getAnyones_queryParms()

      Gets the anyones_query parms.
      Returns:
        the anyones_query parms

    - #### setAnyones_queryParms

          public void setAnyones_queryParms(HashMap anyones_queryParms)

      Sets the anyones_query parms.
      Parameters:
        `anyones_queryParms` - the new anyones_query parms

    - #### getComplete_shoppingcart_url

          public String getComplete_shoppingcart_url()

      Gets the complete_shoppingcart_url.
      Returns:
        the complete_shoppingcart_url

    - #### setComplete_shoppingcart_url

          public void setComplete_shoppingcart_url(String complete_shoppingcart_url)

      Sets the complete_shoppingcart_url.
      Parameters:
        `complete_shoppingcart_url` - the new complete_shoppingcart_url

    - #### getDataValue

          public HashMap getDataValue()

      Gets the data value.
      Returns:
        the data value

    - #### setDataValue

          public void setDataValue(HashMap dataValue)

      Sets the data value.
      Parameters:
        `dataValue` - the new data value

    - #### getWebAppRoot

          public String getWebAppRoot()

      Gets the web app root.
      Returns:
        the web app root

    - #### setWebAppRoot

          public void setWebAppRoot(String webAppRoot)

      Sets the web app root.
      Parameters:
        `webAppRoot` - the new web app root

    - #### getDatasource

          public String getDatasource()

      Gets the datasource.
      Returns:
        the datasource

    - #### setDatasource

          public void setDatasource(String datasource)

      Sets the datasource.
      Parameters:
        `datasource` - the new datasource

    - #### getTerm2_list

          public ArrayList getTerm2_list()

      Gets the term2_list.
      Returns:
        the term2_list

    - #### setTerm2_list

          public void setTerm2_list(ArrayList term2_list)

      Sets the term2_list.
      Parameters:
        `term2_list` - the new term2_list

    - #### getSearchmode

          public Terms getSearchmode()

      Gets the searchmode.
      Returns:
        the searchmode

    - #### setSearchmode

          public void setSearchmode(Terms searchmode)

      Sets the searchmode.
      Parameters:
        `searchmode` - the new searchmode

    - #### getIncludeGlobal

          public String getIncludeGlobal()

      Gets the include global.
      Returns:
        the include global

    - #### setIncludeGlobal

          public void setIncludeGlobal(String includeGlobal)

      Sets the include global.
      Parameters:
        `includeGlobal` - the new include global

    - #### getSo

          public SourceObject getSo()

      Gets the so.
      Returns:
        the so

    - #### setSo

          public void setSo(SourceObject so)

      Sets the so.
      Parameters:
        `so` - the new so

    - #### isMLT

          public boolean isMLT()

      Checks if is the mLT flag which indicates that this type of solr request is being constructed.
      Returns:
        true, if is mLT

    - #### setMLT

          public void setMLT(boolean isMLT)

      Sets the mLT flag which indicates that this type of solr request is being constructed.
      Parameters:
        `isMLT` - the new mLT

    - #### getMlt_request_terms

          public HashMap<String,String[]> getMlt_request_terms()

      Gets the SOLR More Like This request terms.
      Returns:
        the mlt_request_terms

    - #### setMlt_request_terms

          public void setMlt_request_terms(HashMap<String,String[]> mlt_request_terms)

      Sets the SOLR More Like This request terms.
      Parameters:
        `mlt_request_terms` - the mlt_request_terms

    - #### getRawTerm1

          public String getRawTerm1()

    - #### setRawTerm1

          public void setRawTerm1(String rawTerm1)

Copyright © 2016. All rights reserved.